The Quick Stock Balance object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

warehouse string required
item string required
item_barcode string
item_name string
item_description string

Default:

qty number
value number
image string
date string required
The Quick Stock Balance object
{
  "id": "quick-stock-balance_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "warehouse": "warehouse_example",
  "item": "item_example",
  "item_barcode": "item_barcode_example",
  "item_name": "item_name_example",
  "item_description": "  ",
  "qty": 0,
  "value": 0,
  "image": "image_example",
  "date": "2024-01-15"
}
GET /api/stock/quick-stock-balance/{id}

Retrieve a quick stock balance

Retrieves the details of an existing quick stock balance. Supply the unique quick stock balance ID that was returned from a previous request.

Path parameters

id string required

The identifier of the quick stock balance to retrieve.

Returns

Returns the quick stock balance object if a valid identifier was provided.

GET /api/stock/quick-stock-balance/{id}
curl https://api.overplane.dev/api/stock/quick-stock-balance/quick-stock-balance_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "quick-stock-balance_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "warehouse": "warehouse_example",
  "item": "item_example",
  "item_barcode": "item_barcode_example",
  "item_name": "item_name_example",
  "item_description": "  ",
  "qty": 0,
  "value": 0,
  "image": "image_example",
  "date": "2024-01-15"
}
GET /api/stock/quick-stock-balance

List all quick stock balances

Returns a list of quick stock balances. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of quick stock balance objects.

GET /api/stock/quick-stock-balance
curl https://api.overplane.dev/api/stock/quick-stock-balance \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "quick-stock-balance_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "warehouse": "warehouse_example",
      "item": "item_example",
      "item_barcode": "item_barcode_example",
      "item_name": "item_name_example",
      "item_description": "  ",
      "qty": 0,
      "value": 0,
      "image": "image_example",
      "date": "2024-01-15"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/stock/quick-stock-balance

Create a quick stock balance

Creates a new quick stock balance object.

Body parameters

warehouse string required
item string required
item_barcode string
item_name string
item_description string

Default:

qty number
value number
image string
date string required

Returns

Returns the newly created quick stock balance object if the call succeeded.

POST /api/stock/quick-stock-balance
curl https://api.overplane.dev/api/stock/quick-stock-balance \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"warehouse":"warehouse_example","item":"item_example","date":"2024-01-15"}'
Response
{
  "id": "quick-stock-balance_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "warehouse": "warehouse_example",
  "item": "item_example",
  "item_barcode": "item_barcode_example",
  "item_name": "item_name_example",
  "item_description": "  ",
  "qty": 0,
  "value": 0,
  "image": "image_example",
  "date": "2024-01-15"
}
PATCH /api/stock/quick-stock-balance/{id}

Update a quick stock balance

Updates the specified quick stock balance by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the quick stock balance to update.

Body parameters

warehouse string
item string
item_barcode string
item_name string
item_description string

Default:

qty number
value number
image string
date string

Returns

Returns the updated quick stock balance object.

PATCH /api/stock/quick-stock-balance/{id}
curl https://api.overplane.dev/api/stock/quick-stock-balance/quick-stock-balance_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"warehouse":"warehouse_example","item":"item_example"}'
Response
{
  "id": "quick-stock-balance_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "warehouse": "warehouse_example",
  "item": "item_example",
  "item_barcode": "item_barcode_example",
  "item_name": "item_name_example",
  "item_description": "  ",
  "qty": 0,
  "value": 0,
  "image": "image_example",
  "date": "2024-01-15"
}
DELETE /api/stock/quick-stock-balance/{id}

Delete a quick stock balance

Permanently deletes a quick stock balance. This cannot be undone.

Path parameters

id string required

The identifier of the quick stock balance to delete.

Returns

Returns a confirmation that the quick stock balance has been deleted.

DELETE /api/stock/quick-stock-balance/{id}
curl https://api.overplane.dev/api/stock/quick-stock-balance/quick-stock-balance_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "quick-stock-balance_abc123",
  "deleted": true
}